 

class Button
{
  String text = "";

  float xPos;

  float yPos;

  float width = 60;

  int greyScale = 230;

  Button (String initText, float initXPos, float initYPos)
  {
    this.text = initText;
    this.xPos = initXPos;
    this.yPos = initYPos;
  }

  void draw(FirstTodoList todoList)
  {
    todoList.fill(this.greyScale);
    todoList.rect(this.xPos, this.yPos, this.width, 24, 5);

    todoList.fill(0, 0, 0);
    float textWidth = todoList.textWidth(this.text);
    float offset = (this.width - textWidth) / 2;
    todoList.text(this.text, this.xPos+offset, 
    this.yPos+24-6);
  }

  void mousePressed(FirstTodoList todoList) 
  {
    if (this.xPos <= todoList.mouseX 
      && todoList.mouseX <= this.xPos+this.width
      && this.yPos <= todoList.mouseY 
      && todoList.mouseY <= this.yPos+24)
    {
      // change color
      this.greyScale = 200;
    } else
    {
      this.greyScale = 230;
    }
  }

  void mouseReleased(FirstTodoList todoList) 
  {
    if (this.xPos <= todoList.mouseX 
      && todoList.mouseX <= this.xPos+this.width
      && this.yPos <= todoList.mouseY 
      && todoList.mouseY <= this.yPos+24)
    {
      // change color
      this.greyScale = 230;

      if (this.text.equals("Add"))
      {
        todoList.addNewTodoItem();
      } 
    }
  }
}
