class Checkbox {
  String text = "";
  float xPos;
  float yPos;
  float width = 500;
  float height = 24;
  boolean chosenOne = false;

  Checkbox (String initText, float initXPos, float initYPos) {
    this.text = initText;
    this.xPos = initXPos;
    this.yPos = initYPos;
  }

  void draw(FirstTodoList todoList) {
    //draw text
    todoList.fill(0);
    float offset = (this.height-todoList.textSize)/2f;
    todoList.text(this.text, this.xPos, this.yPos+offset+18);

    //draw box
    todoList.fill(255);
    todoList.rect(this.xPos+this.width-this.height, this.yPos, 
    this.height, this.height);

    //draw check if toggled
    if (this.chosenOne) {
      todoList.stroke(0, 180, 0);
      todoList.strokeWeight(4);

      todoList.line(this.xPos+this.width-this.height, 
      this.yPos+this.height/2f, this.xPos+this.width-this.height/2f, 
      this.yPos+this.height);

      todoList.line(this.xPos+this.width-this.height/2f, 
      this.yPos+this.height, this.xPos+this.width, this.yPos);

      //reset color and width to default
      todoList.stroke(0);
      todoList.strokeWeight(1);
    }
  }

  void mouseReleased(FirstTodoList todoList) {
    if (this.xPos <= todoList.mouseX && 
      todoList.mouseX <= this.xPos+this.width
      && this.yPos <= todoList.mouseY && 
      todoList.mouseY <= this.yPos+this.height) {
        //toggle "checked" variable
      this.chosenOne = !this.chosenOne;
    }
  }
}

