
// buttons
Button[] allButtons = {
  new Button("Add", 500, 550)
  };

  // text fields
TextField[] allTextFields = {
  new TextField(50, 550, 425)
  };

//all check boxes
  Checkbox[] allCheckboxes = new Checkbox[8];

int counter = 0;
float textSize = 18;
String labelText = "Neue Aufgabe: ";

void setup() {
  size (600, 600);
  textSize(textSize);
}

void draw() {
  background(255, 255, 255);

  this.fill(0, 0, 0);
  this.text(labelText, 50, 525);

  for (Button button : allButtons) {
    button.draw(this);
  }

  for (TextField textField : allTextFields) {
    textField.draw(this);
  }

  //draw check boxes that are not null (to avoid NullPointerException)
  for (Checkbox c : allCheckboxes) {
    if (c != null) {
      c.draw(this);
    }
  }
}


void mousePressed() {
  for (Button button : allButtons) {
    button.mousePressed(this);
  }

  for (TextField textField : allTextFields) {
    textField.mousePressed(this);
  }
}

void mouseReleased() {
  for (Button button : allButtons) {
    button.mouseReleased(this);
  }

  for (Checkbox c : allCheckboxes) {
    if (c != null) {  //see draw method
      c.mouseReleased(this);
    }
  }
}


void keyPressed() {
  for (TextField textField : allTextFields) {
    textField.keyPressed(this);
  }
}

void addNewTodoItem() {
  //reset label text
  labelText = "Neue Aufgabe: ";
  
  //check if textfield is empty
  if(allTextFields[0].text.length() < 1){
    return; //leave method early
  }
  
  //look for free space in array and add checkbox if possible
  for (int i = 0; i < allCheckboxes.length; i++) {
    if (allCheckboxes[i] == null) {
      allCheckboxes[i] = new Checkbox(allTextFields[0].text, 50, 50+i*30);
      allTextFields[0].text = "";
      return;
    }
  }

  //look for checked task and overwrite it
  for (int i = 0; i < allCheckboxes.length; i++) {
    if (allCheckboxes[i].chosenOne) {
      allCheckboxes[i] = new Checkbox(allTextFields[0].text, 50, 50+i*30);
      allTextFields[0].text = "";
      return;
    }
  }

  //change label to inform the user that list is full
  labelText = "Liste voll!";
}
