
class TextField
{
  String text = "";

  float xPos;

  float yPos;

  float width = 60;

  int greyScale = 0;

  TextField (float initXPos, float initYPos, float initWidth)
  {
    this.xPos = initXPos;
    this.yPos = initYPos;
    this.width = initWidth;
  }

  void draw(FirstTodoList todoList)
  {
    todoList.fill(255);
    todoList.stroke(0, 0, this.greyScale);
    todoList.rect(this.xPos, this.yPos, this.width, 24, 5);
    todoList.stroke(0, 0, 0);

    todoList.fill(0, 0, 0);
    float textWidth = todoList.textWidth(this.text);
    todoList.text(this.text, this.xPos+9, this.yPos+25-6);

    if (this.greyScale == 255)
    {
      float caretXPos = this.xPos+9+1+todoList.textWidth(this.text);
      todoList.line(caretXPos, this.yPos+3, caretXPos, this.yPos+22);
    }
  }

  void mousePressed(FirstTodoList todoList) 
  {
    if (this.xPos <= todoList.mouseX 
      && todoList.mouseX <= this.xPos+this.width
      && this.yPos <= todoList.mouseY 
      && todoList.mouseY <= this.yPos+24)
    {
      // change color
      this.greyScale = 255;
    } else
    {
      this.greyScale = 0;
    }
  }

  void keyPressed(FirstTodoList todoList)
  {
    if (this.greyScale == 255)
    {
      if (todoList.keyCode == 8)
      {
        if (this.text.length() > 0)
        {
          this.text = this.text.substring(0, this.text.length()-1);
        }
      } else
      {
        this.text += todoList.key;
      }
    }
  }
}
